#!/usr/bin/env python

import socket
import sys
import argparse

parser = argparse.ArgumentParser(description='UDP Broadcaster')
parser.add_argument('-p', '--port', type=int, default=5432, help='Port used to send the data. Arbitrary non-privileged port.')
parser.add_argument('-d', '--destination', type=str, default='10.89.99.255', help='Broadcast host.')

args = parser.parse_args()

IP = args.destination
PORT = args.port
  
s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
s.setsockopt(socket.SOL_SOCKET, socket.SO_REUSEADDR, 1)
s.setsockopt(socket.SOL_SOCKET, socket.SO_BROADCAST, 1) 

while data = sys.stdin.read(4096):
        s.sendto("{0}".format(data), (IP, PORT))
    
s.close()
